
From: Hugh Dickins <hugh@veritas.com>

sys_remap_file_pages currently liable to return inappropriate -EPERM:
restore the -EINVAL we prepared earlier.


---

 25-akpm/mm/fremap.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN mm/fremap.c~remap_file_pages-errno-fix mm/fremap.c
--- 25/mm/fremap.c~remap_file_pages-errno-fix	2004-03-28 15:15:18.103039368 -0800
+++ 25-akpm/mm/fremap.c	2004-03-28 15:15:18.104039216 -0800
@@ -219,6 +219,7 @@ long __remap_file_pages(struct mm_struct
 			goto out_unlock;
 		if (((prot & PROT_EXEC) && !(vma->vm_flags & VM_MAYEXEC)))
 			goto out_unlock;
+		err = -EINVAL;
 	}
 
 	if (!vma->vm_ops || !vma->vm_ops->populate || end <= start ||

_
